Subject: Re: Error: Unable to append to logs/HEAD: Permission denied

From: Michael J Gruber <[email-masked]>
Date: Mon, 17 May 2010 14:26:00 +0200

git_user101 venit, vidit, dixit 17.05.2010 14:13:
> 
> Thank you, Michael!
> I do not understand what you exactly mean with "Also, you'll have to fix-up
> permissions manually at least
> on logs/HEAD (and probably others)"
> If you mean that I have to change the permission of logs/HEAD to read, write
> for the group,

I meant all files & dirs under ${repo}.git should be owned by the group
and +rw for the group. ["All" is actually overkill but sufficient.]

> it is already done.
> All files and directories in the repository are accessible for the group.

Hmm. If really all files and dirs (!) are group writeable I'm puzzled.
What is the complete report and error message (besides failed to push)?

A push can also fail due to non fast-forward, of course.

Michael